'SHA256ثم·¨
#Include Once "inc/CrypToHash.bi"
Function SHA256(pDat As String ) As String
    Dim iSize As Long ,F As ZString Ptr,By() As UByte    
    iSize = Len(pDat)
    If iSize Then
        ReDim by((SHA256_DIGESTSIZE * 2) + 2)
        f=@by(0)
        SHA256Init()
        SHA256Update(StrPtr(pDat), iSize)
        HexEncoder(SHA256Final(), SHA256_DIGESTSIZE, f)
    Return *f
    End If
End Function